users = {
    'root': {
        'password': repo.vault.password_for(f'{node.name} root password'),
    },
}

for user, config in node.metadata['users'].items():
    directories[f'/home/{user}'] = {
        'owner': user,
        'mode': '0700',
    }

    users[user] = {
        'password': config['password'],
        'groups': {
            'sudo',
        },
        'shell': '/bin/bash',
    }
