@metadata_reactor
def generate_password_for_every_user(metadata):
    users = {}

    for user in metadata.get('users', {}).keys():
        users[user] = {
            'password': repo.vault.human_password_for(f'{node.name} user {user}'),
        }

    return {
        'users': users,
    }
